/*
 * @Author: Kane
 * @Date: 2023-03-02 15:35:43
 * @LastEditors: Kane
 * @FilePath: /task_schedule/src/utils/api/config.ts
 * @Description:
 *
 * Copyright (c) ${2022} by Kane, All Rights Reserved.
 */
// 请求的url
const API_URL = {
    // 登录
    URL_LOGIN: import.meta.env.VITE_URL_LOGIN,
    URL_LOGIN_CALLER: import.meta.env.VITE_URL_LOGIN_CALLER,

    // 机构业绩
    URL_DEPARTMENT_ARCHIEVEMENT: import.meta.env.VITE_URL_DEPARTMENT_ARCHIEVEMENT,
    // 坐席业绩查询
    URL_CALLER_ARCHIEVEMENT: import.meta.env.VITE_URL_CALLER_ARCHIEVEMENT,

    // 排行榜
    URL_RANKINGLIST: import.meta.env.VITE_URL_RANKINGLIST,

    /** 奖项相关 **/
    // 查询奖励项目
    URL_RWARD_PROJECTS: import.meta.env.VITE_URL_RWARD_PROJECTS,
    // 查询获奖人员
    URL_REWARD_GAINERS: import.meta.env.VITE_URL_REWARD_GAINERS,
    // 添加获奖人员
    URL_ADD_REWARD_TELSALER: import.meta.env.VITE_URL_ADD_REWARD_TELSALER,
    // 更新获奖人员
    URL_UPDATE_REWARD_TELSALER: import.meta.env.VITE_URL_UPDATE_REWARD_TELSALER,
    // 删除获奖人员
    URL_DEL_REWARD_TELSALER: import.meta.env.VITE_URL_DEL_REWARD_TELSALER,
    // 上传文件
    URL_UPLOAD_FILE: import.meta.env.VITE_URL_UPLOAD_FILE,
    // 导入报表
    URL_IMPORT_REPORT: import.meta.env.VITE_URL_IMPORT_REPORT,

    // 请求BI报表数据
    URL_BI_TELSALER_ATTACHINGRATE: import.meta.env.VITE_URL_BI_TELSALER_ATTACHINGRATE,
    URL_BI_TELSALER_RENEWALRATE: import.meta.env.VITE_URL_BI_TELSALER_RENEWALRATE,
    URL_BI_DEPARTMENT_ATTACHINGRATE: import.meta.env.VITE_URL_BI_DEPARTMENT_ATTACHINGRATE,
    URL_BI_DEPARTMENT_RENEWALRATE: import.meta.env.VITE_URL_BI_DEPARTMENT_RENEWALRATE,
};

export { API_URL };
